GET
https://api.cryptohopper.com/v1/hopper/{id}/trade
Returns the completed trades of the hopper in a period, newest first.
OAuth scope:
read About scopes
offset and count are echoed back as sent.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Optional | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
count |
string | Optional | Maximum number of trades to return. Default 500. |
offset |
string | Optional | Number of trades to skip. Default 0. |
dateTo |
string | Optional | End of the period as a date and time, e.g. 2026-09-25 23:59:59. Default now. |
dateFrom |
string | Optional | Start of the period as a date and time, e.g. 2026-09-01 00:00:00. Default one month ago. |
Response
{
"data": {
"trades": [
{
"id": "268001234",
"exchange": "binance",
"currency": "BTC",
"pair": "BTCUSDT",
"type": "sell",
"order_cur": "usdt",
"order_id": "31245678901",
"date": "2026-09-20 14:32:10",
"amount": "0.0015",
"rate": "65210.5",
"total": "97.81575",
"fee": "0.0978",
"result": "1.52",
"trigger_strategy": "take-profit",
"buy_id": "268001100",
"is_short": "0",
"result_short": "0.00"
}
],
"offset": 0,
"count": 500,
"results": 1
}
}